Codebase list rust-stfu8 / 0b65caa
replace uses of which with type This gets rid of: /usr/bin/which: this version of `which' is deprecated; use `command -v' in scripts instead. I like the output from `type`, so I used that. Ian Jackson 2 years ago
1 changed file(s) with 3 addition(s) and 3 deletion(s). Raw diff Collapse all Expand all
1010
1111 abort() { local x=$1; shift; for i in "$@"; do echo >&2 "$0: abort: $i"; done; exit "$x"; }
1212
13 which grep-dctrl >/dev/null || abort 1 "grep-dctrl not found, install dctrl-tools"
14 which aptitude >/dev/null || abort 1 "aptitude not found, install it"
15 which gawk >/dev/null || abort 1 "gawk not found, install gawk"
13 type grep-dctrl >/dev/null || abort 1 "grep-dctrl not found, install dctrl-tools"
14 type aptitude >/dev/null || abort 1 "aptitude not found, install it"
15 type gawk >/dev/null || abort 1 "gawk not found, install gawk"
1616
1717 ARCHIVE="${ARCHIVE:-unstable}"
1818 ARCHIVT="${ARCHIVT:-testing}"